Loading...
Searching...
No Matches
fastjet::Boost Class Reference
FastJet tools » Generic tools

Class to boost a PseudoJet. More...

`#include <fastjet/tools/Boost.hh>`

Inheritance diagram for fastjet::Boost:
[legend]
Collaboration diagram for fastjet::Boost:
[legend]

## Public Member Functions

| Boost (const PseudoJet &jet_rest)
| default ctor
PseudoJet | result (const PseudoJet &original) const
| the action of the function: boost the PseudoJet by a boost vector _jet_rest
Public Member Functions inherited from fastjet::FunctionOfPseudoJet< PseudoJet >
| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
virtual std::string | description () const
| returns a description of the function (an empty string by default)
PseudoJet | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.

## Protected Attributes

PseudoJet | _jet_rest
| the boost vector

## Detailed Description

Class to boost a PseudoJet.

This is a FunctionOfPseudoJet with return type PseudoJet. Its action if to boost the PseudoJet by a boost vector passed to its constructor

Definition at line 47 of file Boost.hh.

## Constructor & Destructor Documentation

## Boost()

fastjet::Boost::Boost | ( | const PseudoJet & | jet_rest | ) |

inline

default ctor

Definition at line 50 of file Boost.hh.

## Member Function Documentation

## result()

PseudoJet fastjet::Boost::result | ( | const PseudoJet & | original | ) | const

inline virtual

the action of the function: boost the PseudoJet by a boost vector _jet_rest

Implements fastjet::FunctionOfPseudoJet< PseudoJet >.

Definition at line 54 of file Boost.hh.

## Member Data Documentation

## _jet_rest

PseudoJet fastjet::Boost::_jet_rest

protected

the boost vector

Definition at line 60 of file Boost.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/Boost.hh